Managed Service for PostgreSQL API, REST: Cluster.ListHosts
- HTTP request
- Path parameters
- Query parameters
- Response
- Host
- Resources
- Service
- HostConfig
- PostgresqlHostConfig11
- PostgresqlHostConfig12
- PostgresqlHostConfig13
- PostgresqlHostConfig13_1C
- PostgresqlHostConfig14
- PostgresqlHostConfig14_1C
- PostgresqlHostConfig15
- PostgresqlHostConfig15_1C
- PostgresqlHostConfig16
- PostgresqlHostConfig16_1C
- PostgresqlHostConfig17
- PostgresqlHostConfig17_1C
- PostgresqlHostConfig18
- PostgresqlHostConfig18_1C
Retrieves a list of hosts for the specified cluster.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-postgresql/v1/clusters/{clusterId}/hosts
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the PostgreSQL cluster. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"hosts": [
{
"name": "string",
"clusterId": "string",
"zoneId": "string",
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"role": "string",
"health": "string",
"services": [
{
"type": "string",
"health": "string"
}
],
"subnetId": "string",
"replicationSource": "string",
"priority": "string",
"config": {
// Includes only one of the fields `postgresqlConfig_11`, `postgresqlConfig_12`, `postgresqlConfig_13`, `postgresqlConfig_13_1c`, `postgresqlConfig_14`, `postgresqlConfig_14_1c`, `postgresqlConfig_15`, `postgresqlConfig_15_1c`, `postgresqlConfig_16`, `postgresqlConfig_16_1c`, `postgresqlConfig_17`, `postgresqlConfig_17_1c`, `postgresqlConfig_18`, `postgresqlConfig_18_1c`
"postgresqlConfig_11": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_12": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_13": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_13_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"operatorPrecedenceWarning": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string"
},
"postgresqlConfig_14": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_14_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_15": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_15_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"forceParallelMode": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_16": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_16_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"oldSnapshotThreshold": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_17": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_17_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_18": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
},
"postgresqlConfig_18_1c": {
"recoveryMinApplyDelay": "string",
"sharedBuffers": "string",
"tempBuffers": "string",
"workMem": "string",
"tempFileLimit": "string",
"backendFlushAfter": "string",
"maxStandbyStreamingDelay": "string",
"constraintExclusion": "string",
"cursorTupleFraction": "number",
"fromCollapseLimit": "string",
"joinCollapseLimit": "string",
"debugParallelQuery": "string",
"clientMinMessages": "string",
"logMinMessages": "string",
"logMinErrorStatement": "string",
"logMinDurationStatement": "string",
"logCheckpoints": "boolean",
"logConnections": "boolean",
"logDisconnections": "boolean",
"logDuration": "boolean",
"logErrorVerbosity": "string",
"logLockWaits": "boolean",
"logStatement": "string",
"logTempFiles": "string",
"searchPath": "string",
"rowSecurity": "boolean",
"defaultTransactionIsolation": "string",
"statementTimeout": "string",
"lockTimeout": "string",
"idleInTransactionSessionTimeout": "string",
"byteaOutput": "string",
"xmlbinary": "string",
"xmloption": "string",
"ginPendingListLimit": "string",
"deadlockTimeout": "string",
"maxLocksPerTransaction": "string",
"maxPredLocksPerTransaction": "string",
"arrayNulls": "boolean",
"backslashQuote": "string",
"defaultWithOids": "boolean",
"escapeStringWarning": "boolean",
"loCompatPrivileges": "boolean",
"quoteAllIdentifiers": "boolean",
"standardConformingStrings": "boolean",
"synchronizeSeqscans": "boolean",
"transformNullEquals": "boolean",
"exitOnError": "boolean",
"seqPageCost": "number",
"randomPageCost": "number",
"enableBitmapscan": "boolean",
"enableHashagg": "boolean",
"enableHashjoin": "boolean",
"enableIndexscan": "boolean",
"enableIndexonlyscan": "boolean",
"enableMaterial": "boolean",
"enableMergejoin": "boolean",
"enableNestloop": "boolean",
"enableSeqscan": "boolean",
"enableSort": "boolean",
"enableTidscan": "boolean",
"maxParallelWorkers": "string",
"maxParallelWorkersPerGather": "string",
"timezone": "string",
"effectiveIoConcurrency": "string",
"effectiveCacheSize": "string",
"idleSessionTimeout": "string"
}
// end of the list of possible fields
},
"assignPublicIp": "boolean",
"replicaType": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
hosts[] |
List of Host resources. |
|
nextPageToken |
string This token allows you to get the next page of results for list requests. If the number of results |
Host
|
Field |
Description |
|
name |
string Name of the PostgreSQL host. The host name is assigned by MDB at creation time, and cannot be changed. The name is unique across all MDB hosts that exist on the platform, as it defines the FQDN of the host. |
|
clusterId |
string ID of the PostgreSQL host. The ID is assigned by MDB at creation time. |
|
zoneId |
string ID of the availability zone where the PostgreSQL host resides. |
|
resources |
Resources allocated to the PostgreSQL host. |
|
role |
enum (Role) Role of the host in the cluster. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the host. If the field has default value, it is not returned in the response.
|
|
services[] |
Services provided by the host. |
|
subnetId |
string ID of the subnet that the host belongs to. |
|
replicationSource |
string Name of the host to be used as the replication source for cascading replication. |
|
priority |
string (int64) Priority of the host as a replica. Higher value means higher priority. The host with the highest priority is the synchronous replica. All others are asynchronous. When a replica becomes the master, its priority is ignored. |
|
config |
Configuration of a PostgreSQL server for the host. |
|
assignPublicIp |
boolean Flag showing public IP assignment status to this host. |
|
replicaType |
enum (ReplicaType) ReplicaType represents the current synchronization state of a PostgreSQL replica
|
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
Service
|
Field |
Description |
|
type |
enum (Type) Type of the service provided by the host. If the field has default value, it is not returned in the response.
|
|
health |
enum (Health) Aggregated health of the service. If the field has default value, it is not returned in the response.
|
HostConfig
|
Field |
Description |
|
postgresqlConfig_11 |
Configuration for a host with PostgreSQL 11 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_12 |
Configuration for a host with PostgreSQL 12 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_13 |
Configuration for a host with PostgreSQL 13 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_13_1c |
Configuration for a host with PostgreSQL 13 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_14 |
Configuration for a host with PostgreSQL 14 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_14_1c |
Configuration for a host with PostgreSQL 14 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_15 |
Configuration for a host with PostgreSQL 15 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_15_1c |
Configuration for a host with PostgreSQL 15 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_16 |
Configuration for a host with PostgreSQL 16 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_16_1c |
Configuration for a host with PostgreSQL 16 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_17 |
Configuration for a host with PostgreSQL 17 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_17_1c |
Configuration for a host with PostgreSQL 17 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_18 |
Configuration for a host with PostgreSQL 18 server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
|
postgresqlConfig_18_1c |
Configuration for a host with PostgreSQL 18 1C server deployed. Includes only one of the fields Configuration of a PostgreSQL server for the host. |
PostgresqlHostConfig11
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
operatorPrecedenceWarning |
boolean Emit a warning for constructs that changed meaning since PostgreSQL 9.4. |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
PostgresqlHostConfig12
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
operatorPrecedenceWarning |
boolean Emit a warning for constructs that changed meaning since PostgreSQL 9.4. |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
PostgresqlHostConfig13
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
operatorPrecedenceWarning |
boolean Emit a warning for constructs that changed meaning since PostgreSQL 9.4. |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
PostgresqlHostConfig13_1C
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
operatorPrecedenceWarning |
boolean Emit a warning for constructs that changed meaning since PostgreSQL 9.4. |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
PostgresqlHostConfig14
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
|
idleSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when not in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
PostgresqlHostConfig14_1C
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
|
idleSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when not in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
PostgresqlHostConfig15
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
|
idleSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when not in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
PostgresqlHostConfig15_1C
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
forceParallelMode |
enum (ForceParallelMode) Forces use of parallel query facilities. If possible, run query using a parallel worker and with parallel restrictions.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
string (int64) Sets the maximum allowed duration of any statement. In milliseconds. |
|
lockTimeout |
string (int64) Sets the maximum allowed duration of any wait for a lock. In milliseconds. |
|
idleInTransactionSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
|
byteaOutput |
enum (ByteaOutput) Sets the output format for bytea.
|
|
xmlbinary |
enum (XmlBinary) Sets how binary values are to be encoded in XML.
|
|
xmloption |
enum (XmlOption) Sets whether XML data in implicit parsing and serialization operations is to be considered as documents or content fragments.
|
|
ginPendingListLimit |
string (int64) Sets the maximum size of the pending list for GIN index. In bytes. |
|
deadlockTimeout |
string (int64) Sets the time to wait on a lock before checking for deadlock. In milliseconds. Acceptable values are 1 to 2147483647, inclusive. |
|
maxLocksPerTransaction |
string (int64) Sets the maximum number of locks per transaction. The shared lock table is sized on the assumption that |
|
maxPredLocksPerTransaction |
string (int64) Sets the maximum number of predicate locks per transaction.The shared predicate lock table is sized on the assumption that |
|
arrayNulls |
boolean Enable input of NULL elements in arrays. When turned on, unquoted NULL in an array input |
|
backslashQuote |
enum (BackslashQuote) Sets whether "\'" is allowed in string literals.
|
|
defaultWithOids |
boolean WITH OIDS is no longer supported; this can only be false. |
|
escapeStringWarning |
boolean Warn about backslash escapes in ordinary string literals. |
|
loCompatPrivileges |
boolean Enables backward compatibility mode for privilege checks on large objects. Skips privilege checks |
|
quoteAllIdentifiers |
boolean When generating SQL fragments, quote all identifiers. |
|
standardConformingStrings |
boolean Causes '...' strings to treat backslashes literally. |
|
synchronizeSeqscans |
boolean Enable synchronized sequential scans. |
|
transformNullEquals |
boolean Treats "expr=NULL" as "expr IS NULL". When turned on, expressions of the form expr = NULL |
|
exitOnError |
boolean Terminate session on any error. |
|
seqPageCost |
number (double) Sets the planner's estimate of the cost of a sequentially fetched disk page. The minimum value is 0. |
|
randomPageCost |
number (double) Sets the planner's estimate of the cost of a nonsequentially fetched disk page. The minimum value is 0. |
|
enableBitmapscan |
boolean Enables the planner's use of bitmap-scan plans. |
|
enableHashagg |
boolean Enables the planner's use of hashed aggregation plans. |
|
enableHashjoin |
boolean Enables the planner's use of hash join plans. |
|
enableIndexscan |
boolean Enables the planner's use of index-scan plans. |
|
enableIndexonlyscan |
boolean Enables the planner's use of index-only-scan plans. |
|
enableMaterial |
boolean Enables the planner's use of materialization. |
|
enableMergejoin |
boolean Enables the planner's use of merge join plans. |
|
enableNestloop |
boolean Enables the planner's use of nested-loop join plans. |
|
enableSeqscan |
boolean Enables the planner's use of sequential-scan plans. |
|
enableSort |
boolean Enables the planner's use of explicit sort steps. |
|
enableTidscan |
boolean Enables the planner's use of TID scan plans. |
|
maxParallelWorkers |
string (int64) Sets the maximum number of parallel workers that can be active at one time. Acceptable values are 0 to 1024, inclusive. |
|
maxParallelWorkersPerGather |
string (int64) Sets the maximum number of parallel processes per executor node. Acceptable values are 0 to 1024, inclusive. |
|
timezone |
string Sets the time zone for displaying and interpreting time stamps. |
|
effectiveIoConcurrency |
string (int64) Number of simultaneous requests that can be handled efficiently by the disk subsystem. Acceptable values are 0 to 1000, inclusive. |
|
effectiveCacheSize |
string (int64) Sets the planner's assumption about the effective size of the disk cache available to a single query. In bytes. Acceptable values are 1048576 to 549755813888, inclusive. |
|
idleSessionTimeout |
string (int64) Sets the maximum allowed idle time between queries, when not in a transaction. In milliseconds. Acceptable values are 0 to 2147483647, inclusive. |
PostgresqlHostConfig16
Options and structure of PostgresqlConfig reflects PostgreSQL configuration file
parameters which detailed description is available in
PostgreSQL documentation
|
Field |
Description |
|
recoveryMinApplyDelay |
string (int64) Sets the minimum delay for applying changes during recovery. In milliseconds. |
|
sharedBuffers |
string (int64) Sets the number of shared memory buffers used by the server. In bytes. |
|
tempBuffers |
string (int64) Sets the maximum number of temporary buffers used by each session. In bytes. |
|
workMem |
string (int64) Sets the maximum memory to be used for query workspaces. This much memory can be used by each |
|
tempFileLimit |
string (int64) Limits the total size of all temporary files used by each process. -1 means no limit. In bytes. |
|
backendFlushAfter |
string (int64) Specifies how much data a backend can write before forcing the operating system to issue the writes. In bytes. Acceptable values are 0 to 2097152, inclusive. |
|
oldSnapshotThreshold |
string (int64) Time before a snapshot is too old to read pages changed after the snapshot was taken. |
|
maxStandbyStreamingDelay |
string (int64) Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data. In milliseconds. |
|
constraintExclusion |
enum (ConstraintExclusion) Enables the planner to use constraints to optimize queries.
|
|
cursorTupleFraction |
number (double) Sets the planner's estimate of the fraction of a cursor's rows that will be retrieved. |
|
fromCollapseLimit |
string (int64) Sets the FROM-list size beyond which subqueries are not collapsed. Acceptable values are 1 to 2147483647, inclusive. |
|
joinCollapseLimit |
string (int64) Sets the FROM-list size beyond which JOIN constructs are not flattened. Acceptable values are 1 to 2147483647, inclusive. |
|
debugParallelQuery |
enum (DebugParallelQuery) Forces the planner to use parallel query nodes.
|
|
clientMinMessages |
enum (LogLevel) Sets the message levels that are sent to the client.
|
|
logMinMessages |
enum (LogLevel) Sets the message levels that are logged.
|
|
logMinErrorStatement |
enum (LogLevel) Causes all statements generating error at or above this level to be logged.
|
|
logMinDurationStatement |
string (int64) Sets the minimum execution time above which all statements will be logged. In milliseconds. |
|
logCheckpoints |
boolean Logs each checkpoint. |
|
logConnections |
boolean Logs each successful connection. |
|
logDisconnections |
boolean Logs end of a session, including duration. |
|
logDuration |
boolean Logs the duration of each completed SQL statement. |
|
logErrorVerbosity |
enum (LogErrorVerbosity) Sets the verbosity of logged messages.
|
|
logLockWaits |
boolean Logs long lock waits. |
|
logStatement |
enum (LogStatement) Sets the type of statements logged.
|
|
logTempFiles |
string (int64) Log the use of temporary files larger than this number of kilobytes. |
|
searchPath |
string Sets the schema search order for names that are not schema-qualified. |
|
rowSecurity |
boolean Enable row security. |
|
defaultTransactionIsolation |
enum (TransactionIsolation) Sets the transaction isolation level of each new transaction.
|
|
statementTimeout |
[...]
